> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Todays Items

> Get today's services and medications for a patient.



## OpenAPI

````yaml get /billing/charge/todays-items/{patient_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/charge/todays-items/{patient_id}:
    get:
      tags:
        - Charges
      summary: Get Todays Items
      description: Get today's services and medications for a patient.
      operationId: get_todays_items_billing_charge_todays_items__patient_id__get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: patient_id
          in: path
          required: true
          schema:
            type: string
            title: Patient Id
        - name: tz
          in: query
          required: true
          schema:
            type: string
            title: Tz
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TodaysItemEntry'
                title: >-
                  Response Get Todays Items Billing Charge Todays Items  Patient
                  Id  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TodaysItemEntry:
      properties:
        itemId:
          type: string
          title: Itemid
        name:
          type: string
          title: Name
        price:
          type: integer
          title: Price
        itemType:
          type: string
          enum:
            - SERVICE
            - PRODUCT
            - MEDICATION
            - PACKAGE
            - MEMBERSHIP
            - GIFT_CARD
            - SERVICE_FEE
            - ITEM
          title: Itemtype
        quantity:
          type: number
          title: Quantity
        providerId:
          anyOf:
            - type: string
            - type: 'null'
          title: Providerid
        providerName:
          anyOf:
            - type: string
            - type: 'null'
          title: Providername
        sourceId:
          type: string
          title: Sourceid
        sourceType:
          type: string
          enum:
            - event_segment
            - dose
            - note
          title: Sourcetype
        doseComponentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Dosecomponentid
        stockId:
          anyOf:
            - type: string
            - type: 'null'
          title: Stockid
        eventId:
          anyOf:
            - type: string
            - type: 'null'
          title: Eventid
      type: object
      required:
        - itemId
        - name
        - price
        - itemType
        - quantity
        - sourceId
        - sourceType
      title: TodaysItemEntry
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````